package com.yfd.platform.modules.specialDocument.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.sql.Timestamp;
import java.time.LocalDateTime;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 专项文档节点表
 * </p>
 *
 * @author LiMengNan
 * @since 2025-01-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sd_nodes")
public class Nodes implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 节点ID
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 所属项目ID
     */
    private String projectId;

    /**
     * 项目父节点ID 00
     */
    private String parentId;

    /**
     * 节点顺序
     */
    private Integer nodeOrder;

    /**
     * 节点类型：00-项目 01-子项 02-课题 03-年度 04-主题
     */
    private String nodeType;

    /**
     * 节点名称
     */
    private String nodeName;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Timestamp createTime;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 备用字段1
     */
    private String custom1;

    /**
     * 备用字段2
     */
    private String custom2;

    /**
     * 备用字段3
     */
    private String custom3;

    /**
     * TODO路径用于拼接
     */
    @TableField(exist = false)
    private String overallPath;


    /**
     * TODO路径用于拼接
     */
    @TableField(exist = false)
    private String path;


}
